Name:           perl-Apache-LogFormat-Compiler
Version:        0.35
Release:        3%{?dist}
Summary:        Compile a log format string to perl-code
License:        GPL+ or Artistic
Group:          Development/Libraries
URL:            http://search.cpan.org/dist/Apache-LogFormat-Compiler/
Source0:        http://www.cpan.org/authors/id/K/KA/KAZEBURO/Apache-LogFormat-Compiler-%{version}.tar.gz
BuildArch:      noarch
BuildRequires:  perl-interpreter >= 0:5.008001
BuildRequires:  perl-generators
BuildRequires:  perl(Carp)
BuildRequires:  perl(constant)
BuildRequires:  perl(HTTP::Request::Common)
BuildRequires:  perl(Module::Build::Tiny) >= 0.035
BuildRequires:  perl(POSIX)
BuildRequires:  perl(POSIX::strftime::Compiler)
BuildRequires:  perl(strict)
BuildRequires:  perl(Test::MockTime)
BuildRequires:  perl(Test::More) >= 0.98
BuildRequires:  perl(Time::Local)
BuildRequires:  perl(Try::Tiny) >= 0.12
BuildRequires:  perl(URI::Escape) >= 1.60
BuildRequires:  perl(warnings)

Requires:       perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))

%description
Compile a log format string to perl-code. For faster generation of
access_log lines.

%prep
%setup -q -n Apache-LogFormat-Compiler-%{version}

%build
%{__perl} Build.PL --installdirs=vendor
./Build

%install

./Build install --destdir=$RPM_BUILD_ROOT --create_packlist=0
%{_fixperms} $RPM_BUILD_ROOT/*

%check
./Build test

%files
%doc Changes
%license LICENSE
%{perl_vendorlib}/*
%{_mandir}/man3/*

%changelog
* Thu Jul 27 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.35-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild

* Mon Jun 05 2017 Jitka Plesnikova <jplesnik@redhat.com> - 0.35-2
- Perl 5.26 rebuild

* Wed Mar 08 2017 Ralf Corsépius <corsepiu@fedoraproject.org> - 0.35-1
- Update to 0.35.
- Reflect upstream having switched to Module::Build::Tiny.

* Sat Feb 11 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.33-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Sun May 15 2016 Jitka Plesnikova <jplesnik@redhat.com> - 0.33-3
- Perl 5.24 rebuild

* Thu Feb 04 2016 Fedora Release Engineering <releng@fedoraproject.org> - 0.33-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Sun Jan 31 2016 Ralf Corsépius <corsepiu@fedoraproject.org> - 0.33-1
- Update to 0.33.

* Wed Jan 27 2016 Ralf Corsépius <corsepiu@fedoraproject.org> - 0.32-5
- Add %%license.
- Modernize spec.

* Thu Jun 18 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.32-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Sat Jun 06 2015 Jitka Plesnikova <jplesnik@redhat.com> - 0.32-3
- Perl 5.22 rebuild

* Thu Aug 28 2014 Jitka Plesnikova <jplesnik@redhat.com> - 0.32-2
- Perl 5.20 rebuild

* Tue Jun 24 2014 Ralf Corsépius <corsepiu@fedoraproject.org> 0.32-1
- Upstream update.
- Reflect upstream having lowered the required perl version.

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.30-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Fri Apr 25 2014 Petr Pisar <ppisar@redhat.com> - 0.30-2
- Drop unneeded build-time dependencies

* Thu Apr 17 2014 Ralf Corsépius <corsepiu@fedoraproject.org> 0.30-1
- Upstream update.
- Reflect upstream R:/BR: changes.

* Fri Jan 17 2014 Ralf Corsépius <corsepiu@fedoraproject.org> 0.23-1
- Upstream update.
- Reflect upstream R:/BR: changes.

* Mon Sep 16 2013 Ralf Corsépius <corsepiu@fedoraproject.org> 0.13-1
- Initial fedora package.
